--- ../gmp-git/mpn/generic/sqrlo.c	2018-02-05 22:06:24.000000000 +0800
+++ mpn/generic/sqrlo.c	2018-02-14 16:17:32.000000000 +0800
@@ -228,7 +228,8 @@
 	  /* For really large operands, use plain mpn_mul_n but throw away upper n
 	     limbs of result.  */
 #if !TUNE_PROGRAM_BUILD && (SQRLO_SQR_THRESHOLD > SQR_FFT_THRESHOLD)
-	  mpn_fft_mul (tp, xp, n, xp, n);
+	  int k = mpn_fft_best_k (n, 1), pl = mpn_fft_next_size (n, k);     
+	  mpn_mul_fft (tp, pl, xp, n, xp, n, k);
 #else
 	  mpn_sqr (tp, xp, n);
 #endif
